<?php
/*--------------------------------------------+
| PHP-Fusion v6 - Content Management System   |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|     Blue Ice Theme for PHP-Fusion v6        |
|---------------------------------------------|
| author: Skaidon					    |
| modded by: PHP Fusion Themes - 2006	    |
| web: http://phpfusion.org                   |
| email: webmaster@phpfusion-themes.com       |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

/************************/
/* Theme Settings		*/
/************************/

$body_text = "#000000";
$body_bg = "#ECF0F6";
$theme_width = "100%";
$theme_width_l = "165";
$theme_width_r = "165";

function render_header($header_content) {

global $theme_width,$settings;

	echo "<table width='100%' cellspacing='0' cellpadding='0' border='0' align='center'> 
	<tr> 
	<td class='bodyline'>
	<table width='100%' cellspacing='0' cellpadding='0' border='0' align='center'> 
	<tr> 
	<td class='bodyline2'>
	<table width='100%' cellspacing='0' cellpadding='0' border='0' align='center'> 
	<tr> 
	<td class='header'>
	<a href='".BASEDIR."index.php'><img src='".THEME."images/logo.gif' border='0' alt='".$settings[sitename]."' title='".$settings[sitename]."'></a>
	</td>
	</tr>
	<tr>
	<td class='nav_background'>";

	$result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
		if (dbrows($result) != 0) {
		$i = 0;
	while($data = dbarray($result)) {
		if (checkgroup($data['link_visibility'])) {
		if ($data['link_url']!="---") {
		if ($i != 0) { echo " &#8226;\n"; } else { echo "\n"; }
	$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
		if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
	echo "<a href='".$data['link_url']."'".$link_target." class=''>".$data['link_name']."</a>";
	} else {
	echo "<a href='".BASEDIR.$data['link_url']."'".$link_target." class=''>".$data['link_name']."</a>";
}
	}
$i++;
		}
	}
}
	echo ($i == 0 ? " " : "")."</td></tr></table>
	<table width='100%' cellspacing='0' cellpadding='7' border='0' align='center'>";
}

function render_footer($license=false) {
	
global $theme_width,$settings,$locale;

	echo "<table style='margin-bottom:10px;' border='0' cellpadding='0' cellspacing='0' width='100%'>
	<tr>
	<td align='center' width='100%'>".stripslashes($settings['footer'])."</td>
	</tr></table>
	<table width='100%' cellspacing='0' cellpadding='0' border='0' align='center'> 
	<tr>
	<td width='25%' align='left' class='nav_backgroundfc'><a href='http://php-fusion.co.uk' target='_blank'>PHP Fusion</a> v".$settings['version']." &copy; 2003-2006</td>
	<td width='50%' align='center' class='nav_backgroundfc'><b>BlueIce</b> Theme by <a target='_blank' href='http://www.skaidon.co.uk'>Skaidon</a> - Ported and Re-coded by: <a target='_blank' href='http://phpfusion-themes.com/'>PHP Fusion Themes</a></td>
	<td width='25%' align='right' class='nav_backgroundfc'><span class='hits'>".$settings['counter']."</span> ".($settings['counter'] == 1 ? $locale['140']."\n" : $locale['141']."\n");
	echo "</td></tr></table>\n";
}

function render_news($subject, $news, $info) {
	
global $locale;
	
	echo "<table width='100%'  border='0' cellspacing='0' cellpadding='6'>
	<tr>
	<td>
	<table border='0' cellpadding='4' cellspacing='1' width='100%' class='forumline'>
	<tr> 
	<th align='left' height='25' nowrap='nowrap'>$subject</th>
	</tr>
	<tr> 
	<td class='bg' width='100%' align='left'>$news</td>
	</tr>
	<tr> 
	<td class='catBottom2' align='center' valign='middle'  height='28'>";
	echo "".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $info['news_date'])."<br>";
	echo "".($info['news_ext'] == "y" ? "<a href='news.php?readmore=".$info['news_id']."'>".$locale['042']."</a> \n" : "")."";
		if ($info['news_allow_comments']) 
	echo "<a href='news.php?readmore=".$info['news_id']."'>".$info['news_comments'].$locale['043']."</a> | ";
	echo "(".$info['news_reads'].$locale['044'].") ";
	echo "<a href='print.php?type=N&item_id=".$info['news_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a>";
	echo "</td></tr></table></td></tr></table>\n";
}

function render_article($subject, $article, $info) {
	
global $locale;
	
	echo "<table width='100%'  border='0' cellspacing='0' cellpadding='6'>
	<tr>
	<td>
	<table border='0' cellpadding='4' cellspacing='1' width='100%' class='forumline'>
	<tr> 
	<th align='left' height='25' nowrap='nowrap'>$subject</th>
	</tr>
	<tr> 
	<td class='bg' width='100%' align='left'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>
	</tr>
	<tr> 
	<td class='catBottom2' align='center' valign='middle'  height='28'>";
	echo "".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $info['article_date'])."<br>";
		if ($info['article_allow_comments']) echo $info['article_comments'].$locale['043']." | ";
	echo "".$info['article_reads'].$locale['044']." ";
	echo "<a href='print.php?type=A&item_id=".$info['article_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a>";
	echo "</td></tr></table></td></tr></table>\n";
}

function opentable($title) {

	echo "<table width='100%'  border='0' cellspacing='0' cellpadding='0'>
	<tr>
	<td>
	<table border='0' cellpadding='4' cellspacing='1' width='100%' class='forumline'>
	<tr> 
	<th align='left' height='25' class='thCornerL' nowrap='nowrap'>$title</th>
	</tr>
	<tr> 
	<td class='bg' width='100%' align='left'>";
}

function closetable() {
	echo "</td></tr></table></td></tr></table>";
}

function openside($title) {

	echo "<table width='100%'  border='0' cellspacing='0' cellpadding='0'>
	<tr>
	<td>
	<table border='0' cellpadding='4' cellspacing='1' width='100%' class='forumline'>
	<tr> 
	<th align='left' height='25' class='thCornerL' nowrap='nowrap'>$title</th>
	</tr>
	<tr> 
	<td class='bg' width='100%' align='left'>";
}

function closeside() {
	echo "</td></tr></table></td></tr></table>";
	tablebreak();
}

function opensidex($title,$open="on") {
$box_img = ($open=="on" ? "off" : "on");

	echo "<table width='100%'  border='0' cellspacing='0' cellpadding='0'>
	<tr>
	<td>
	<table border='0' cellpadding='4' cellspacing='1' width='100%' class='forumline'>
	<tr> 
	<th align='left' height='25' class='thCornerL' nowrap='nowrap'><img align='left'onclick=\"javascript:flipBox('$title')\" name='b_$title' alt='$box_img' border='0' src='".THEME."images/panel_$box_img.gif'>$title</th>
	</tr>
	<tr> 
	<td class='bg' width='100%' align='left'>";
	echo "<div id='box_$title'".($open=="off" ? "style='display:none'" : "").">\n";
}


function closesidex() {

	echo "</td></tr></table></td></tr></table>";
	tablebreak();
}

function tablebreak() {
	echo "<table width='100%' cellspacing='0' cellpadding='0'><tr><td height='8'></td></tr></table>\n";
}
?>